Subject: Re: [lemonade] Profile WG last call

From: Alexey Melnikov <[email-masked]>
Date: Wed, 16 Nov 2005 18:39:00 +0000

Vaudreuil, Greg M (Greg) wrote:

> Last paragraph of Page 4 introduces two new concepts without 
> describing what they are '"forward without download" strategy' and 
> 'variant'.  Text saying
>  
>     "There are two use variants based on where the message assembly 
> takes place .  The first uses
>      a succession of BURL and BDAT commands to submit and assemble 
> through concatenation, 
>      message data from the client and external data fetched from the 
> provided URL. The second uses
>      the Catenate command to upload a template to the message store 
> and cause the message assembly
>      on the IMAP server." 

I've added your text after rewording it a bit.

> At least, that is what I think the authors were thinking but not 
> stating.    Along those lines, do we need an example of the first 
> variant?  The only text describing this variant is in section 2.5 
> explaining why chunking needs to be supported.

I've added Dave Cridland's BURL/BDAT example.

> Section 2.7.
>  
> A sentence or two about how to actually use catenate to solve the FCC 
> problem would help.  Is the solution to move the template into the 
> "sent items" mailbox prior to requesting a URLAUTH?   Do we need to 
> discuss "sent items" conventions here?  

I've rewrote the last paragraph of this section to read:

The [CATENATE] extension to [RFC3501] can be used to address the fcc 
problem.  The final message is constructed in the mailbox designed for 
outgoing mail. Note that the [CATENATE] extension can only create a 
single message and only on the server which stages the outgoing message 
for submission. Additional copies of the message can be created on the 
same server using one or more COPY command.

_______________________________________________
lemonade mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/lemonade